import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.*; 

public class Espacio extends World
{
    public lifes objLife;
    Tablero puntos;
    Tablero vidas;
    Tablero poder;
    BossLife lifeboss;
    
    public Espacio()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(800, 600, 1); 
        setPaintOrder(GameOver.class,Tablero.class,avion.class);
        avion n1=new avion();
        addObject(n1,50,300);
        crearRocas(4);
        objLife=new lifes();
        puntos=new Tablero(0,"Puntaje: ");
        vidas=new Tablero(3,"Vidas: ");
        poder=new Tablero(0,"Especial: ");
        addObject(puntos,150,85);
        addObject(vidas,350,85);
        addObject(poder,550,85);
        crearEnergia(1);
        prepare();
    }
    
    public void crearRocas(int numero){
        for(int i=0;i<numero;i++){
            roca r=new roca();
            int x=Greenfoot.getRandomNumber(getWidth());
            int y=Greenfoot.getRandomNumber(getHeight());
            addObject(r,x,y);
        }
    }
    public void crearEnergia(int numero){
        for(int i=0;i<numero;i++){
            energia e=new energia();
            int x=Greenfoot.getRandomNumber(getWidth());
            int y=Greenfoot.getRandomNumber(getHeight());
            int ener=Greenfoot.getRandomNumber(10);
            if(ener==5)
                addObject(e,x,y);
        }

    }
    
    public void ponerJefe()
    {
        //List<Object> rocas=getObjects(rocas.class);
        //Iterator i=rocas.iterator();
        //while(i.hasNext())
        //{
        //    roca r=(roca)i.next();
        //    removeObject(r);
        //}
        avion2 boss=new avion2();
        addObject(boss,getWidth()-80,(getHeight()/2)+20);
        lifeboss=new BossLife(100,0,0,20);
        addObject(lifeboss,750,85);

    }
    private void prepare()
    {
    }
}
